XSParticleDecl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSParticleDecl

    java.lang.Object
      org.apache.xerces.impl.xs.XSParticleDecl

All Implemented Interfaces:
  org.apache.xerces.xs.XSObject, org.apache.xerces.xs.XSParticle

    public class XSParticleDecl

extends java.lang.Object
implements org.apache.xerces.xs.XSParticle

Store schema particle declaration.

Version:
  $Id: XSParticleDecl.java 965250 2010-07-18 16:04:58Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`org.apache.xerces.xs.XSObjectList` | `fAnnotations`
`int` | `fMaxOccurs`
`int` | `fMinOccurs`
`short` | `fType`
`org.apache.xerces.xs.XSTerm` | `fValue`
`static short` | `PARTICLE_ELEMENT`
`static short` | `PARTICLE_EMPTY`
`static short` | `PARTICLE_MODELGROUP`
`static short` | `PARTICLE_ONE_OR_MORE`
`static short` | `PARTICLE_WILDCARD`
`static short` | `PARTICLE_ZERO_OR_MORE`
`static short` | `PARTICLE_ZERO_OR_ONE`

Constructor Summary
`XSParticleDecl()`

Method Summary
`boolean` | `emptiable()` 3.9.6 Schema Component Constraint: Particle Emptiable whether this particle is emptible
`org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
`int` | `getMaxOccurs()` {max occurs} determines the maximum number of terms that can occur.
`boolean` | `getMaxOccursUnbounded()` {max occurs} whether the maxOccurs value is unbounded.
`int` | `getMinOccurs()` {min occurs} determines the minimum number of terms that can occur.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
`org.apache.xerces.xs.XSTerm` | `getTerm()` {term} One of a model group, a wildcard, or an element declaration.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isEmpty()`
`XSParticleDecl` | `makeClone()`
`int` | `maxEffectiveTotalRange()`
`int` | `minEffectiveTotalRange()` 3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle.
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARTICLE_EMPTY

    public static final short PARTICLE_EMPTY

See Also:
  Constant Field Values

### PARTICLE_ELEMENT

    public static final short PARTICLE_ELEMENT

See Also:
  Constant Field Values

### PARTICLE_WILDCARD

    public static final short PARTICLE_WILDCARD

See Also:
  Constant Field Values

### PARTICLE_MODELGROUP

    public static final short PARTICLE_MODELGROUP

See Also:
  Constant Field Values

### PARTICLE_ZERO_OR_MORE

    public static final short PARTICLE_ZERO_OR_MORE

See Also:
  Constant Field Values

### PARTICLE_ZERO_OR_ONE

    public static final short PARTICLE_ZERO_OR_ONE

See Also:
  Constant Field Values

### PARTICLE_ONE_OR_MORE

    public static final short PARTICLE_ONE_OR_MORE

See Also:
  Constant Field Values

### fType

    public short fType

### fValue

    public org.apache.xerces.xs.XSTerm fValue

### fMinOccurs

    public int fMinOccurs

### fMaxOccurs

    public int fMaxOccurs

### fAnnotations

    public org.apache.xerces.xs.XSObjectList fAnnotations

Constructor Detail

### XSParticleDecl

    public XSParticleDecl()

Method Detail

### makeClone

    public XSParticleDecl makeClone()

### emptiable

    public boolean emptiable()

  3.9.6 Schema Component Constraint: Particle Emptiable whether this particle is emptible

### isEmpty

    public boolean isEmpty()

### minEffectiveTotalRange

    public int minEffectiveTotalRange()

  3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle. They are not exactly the same as it's described in the spec, but all the values from the spec are retrievable by these methods.

### maxEffectiveTotalRange

    public int maxEffectiveTotalRange()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `org.apache.xerces.xs.XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `org.apache.xerces.xs.XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `org.apache.xerces.xs.XSObject`

### getMinOccurs

    public int getMinOccurs()

  {min occurs} determines the minimum number of terms that can occur.

  Specified by:
    `getMinOccurs` in interface `org.apache.xerces.xs.XSParticle`

### getMaxOccursUnbounded

    public boolean getMaxOccursUnbounded()

  {max occurs} whether the maxOccurs value is unbounded.

  Specified by:
    `getMaxOccursUnbounded` in interface `org.apache.xerces.xs.XSParticle`

### getMaxOccurs

    public int getMaxOccurs()

  {max occurs} determines the maximum number of terms that can occur.

  Specified by:
    `getMaxOccurs` in interface `org.apache.xerces.xs.XSParticle`

### getTerm

    public org.apache.xerces.xs.XSTerm getTerm()

  {term} One of a model group, a wildcard, or an element declaration.

  Specified by:
    `getTerm` in interface `org.apache.xerces.xs.XSParticle`

### getNamespaceItem

    public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

  Description copied from interface: `org.apache.xerces.xs.XSObject`
  A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.

  Specified by:
    `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

### getAnnotations

    public org.apache.xerces.xs.XSObjectList getAnnotations()

  Optional. Annotations.

  Specified by:
    `getAnnotations` in interface `org.apache.xerces.xs.XSParticle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.